# Datasets

Manage datasets, data ingestion, schemas, metadata, transformations, sync, permissions, verification, and stored data.

 - [GET /v2/datasets](https://developers.databox.com/docs/api/api.databox.com/datasets/datasets_listdatasets.md): Retrieves a paginated list of datasets available to the authenticated user.
 - [POST /v2/datasets](https://developers.databox.com/docs/api/api.databox.com/datasets/datasets_createdataset.md): Creates a dataset in the specified data source.
 - [GET /v2/datasets/modifications/functions](https://developers.databox.com/docs/api/api.databox.com/datasets/datasets_getmodificationfunctions.md): Retrieves the functions available for calculated columns in dataset modifications.
 - [GET /v2/datasets/modifications/rules](https://developers.databox.com/docs/api/api.databox.com/datasets/datasets_getmodificationrules.md): Retrieves the rules available for configuring dataset modifications.
 - [GET /v2/datasets/{id}](https://developers.databox.com/docs/api/api.databox.com/datasets/datasets_getdataset.md): Retrieves details about the specified dataset.
 - [PATCH /v2/datasets/{id}](https://developers.databox.com/docs/api/api.databox.com/datasets/datasets_updatedataset.md): Updates the properties of the specified dataset and returns the updated dataset.
 - [DELETE /v2/datasets/{id}](https://developers.databox.com/docs/api/api.databox.com/datasets/datasets_deletedataset.md): Permanently deletes the specified dataset and its stored data.
 - [GET /v2/datasets/{id}/column-metadata](https://developers.databox.com/docs/api/api.databox.com/datasets/datasets_getcolumnmetadata.md): Retrieves metadata configured for the columns in the specified dataset.
 - [PATCH /v2/datasets/{id}/column-metadata](https://developers.databox.com/docs/api/api.databox.com/datasets/datasets_updatecolumnmetadata.md): Updates metadata for one or more columns in the specified dataset.
 - [GET /v2/datasets/{id}/data](https://developers.databox.com/docs/api/api.databox.com/datasets/datasets_getdatasetdata.md): Retrieves a paginated list of records stored in the specified dataset.
 - [POST /v2/datasets/{id}/data](https://developers.databox.com/docs/api/api.databox.com/datasets/datasets_ingestdata.md): Submits records for ingestion into the specified dataset.
 - [POST /v2/datasets/{id}/duplicate](https://developers.databox.com/docs/api/api.databox.com/datasets/datasets_duplicatedataset.md): Creates a copy of the specified dataset.
 - [GET /v2/datasets/{id}/ingestion-statistics](https://developers.databox.com/docs/api/api.databox.com/datasets/datasets_getingestionstatistics.md): Retrieves ingestion performance statistics for the specified dataset.
 - [GET /v2/datasets/{id}/ingestions](https://developers.databox.com/docs/api/api.databox.com/datasets/datasets_getingestions.md): Retrieves a paginated list of ingestion attempts for the specified dataset.
 - [GET /v2/datasets/{id}/ingestions/{ingestionId}](https://developers.databox.com/docs/api/api.databox.com/datasets/datasets_getingestion.md): Retrieves details about the specified dataset ingestion.
 - [GET /v2/datasets/{id}/lineage](https://developers.databox.com/docs/api/api.databox.com/datasets/datasets_getlineage.md): Retrieves the specified dataset’s lineage, including upstream data sources and datasets and downstream datasets and metrics.
 - [GET /v2/datasets/{id}/metadata](https://developers.databox.com/docs/api/api.databox.com/datasets/datasets_getmetadata.md): Retrieves metadata configured for the specified dataset.
 - [PATCH /v2/datasets/{id}/metadata](https://developers.databox.com/docs/api/api.databox.com/datasets/datasets_updatemetadata.md): Updates metadata for the specified dataset and returns the updated metadata.
 - [GET /v2/datasets/{id}/modifications](https://developers.databox.com/docs/api/api.databox.com/datasets/datasets_getmodification.md): Retrieves the modification configured for the specified dataset.
 - [PUT /v2/datasets/{id}/modifications](https://developers.databox.com/docs/api/api.databox.com/datasets/datasets_updatemodification.md): Replaces the modification configured for the specified dataset.
 - [DELETE /v2/datasets/{id}/modifications](https://developers.databox.com/docs/api/api.databox.com/datasets/datasets_deletemodification.md): Deletes the modification configured for the specified dataset.
 - [POST /v2/datasets/{id}/modifications/preview](https://developers.databox.com/docs/api/api.databox.com/datasets/datasets_previewmodification.md): Applies the supplied modification settings and returns a preview without saving the changes.
 - [GET /v2/datasets/{id}/permissions](https://developers.databox.com/docs/api/api.databox.com/datasets/datasets_getpermissions.md): Retrieves the permissions configured for the specified dataset.
 - [PUT /v2/datasets/{id}/permissions](https://developers.databox.com/docs/api/api.databox.com/datasets/datasets_updatepermissions.md): Replaces the permissions configured for the specified dataset.
 - [POST /v2/datasets/{id}/purge](https://developers.databox.com/docs/api/api.databox.com/datasets/datasets_purgedataset.md): Permanently removes all stored records from the specified dataset without deleting the dataset.
 - [GET /v2/datasets/{id}/schema](https://developers.databox.com/docs/api/api.databox.com/datasets/datasets_getschema.md): Retrieves the column definitions for the specified dataset.
 - [PUT /v2/datasets/{id}/sync-frequency](https://developers.databox.com/docs/api/api.databox.com/datasets/datasets_updatesyncfrequency.md): Updates the scheduled sync frequency for the specified dataset.
 - [GET /v2/datasets/{id}/sync-frequency-options](https://developers.databox.com/docs/api/api.databox.com/datasets/datasets_getsyncfrequencyoptions.md): Retrieves the sync frequencies available for the specified dataset.
 - [GET /v2/datasets/{id}/sync-history](https://developers.databox.com/docs/api/api.databox.com/datasets/datasets_getsynchistory.md): Retrieves a paginated history of sync attempts for the specified dataset.
 - [GET /v2/datasets/{id}/sync-history/statistics](https://developers.databox.com/docs/api/api.databox.com/datasets/datasets_getsyncstatistics.md): Retrieves sync performance statistics for the specified dataset.
 - [PUT /v2/datasets/{id}/timezone](https://developers.databox.com/docs/api/api.databox.com/datasets/datasets_updatetimezone.md): Updates the time zone used by the specified dataset.
 - [GET /v2/datasets/{id}/verification](https://developers.databox.com/docs/api/api.databox.com/datasets/datasets_getverification.md): Retrieves the verification status of the specified dataset.
 - [PUT /v2/datasets/{id}/verification](https://developers.databox.com/docs/api/api.databox.com/datasets/datasets_updateverification.md): Updates the verification status of the specified dataset.
